Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# ax88796.h File Reference

## Detailed Description

Definition in file ax88796.h.

`#include "global.h"`
`#include "nic.h"`

Go to the source code of this file.

## Defines
#define | nop() asm volatile ("nop")
#define | CR 0x00
#define | PSTART 0x01
#define | PSTOP 0x02
#define | BNRY 0x03
#define | RDMAPORT 0x10
#define | MEMR 0x14
#define | TR 0x15
#define | SPP_DPR 0x18
#define | SSP_SPR 0x19
#define | SSP_CPR 0x1A
#define | TSR 0x04
#define | NCR 0x05
#define | ISR 0x07
#define | CRDA0 0x08
#define | CRDA1 0x09
#define | RSR 0x0C
#define | CNTR0 0x0D
#define | CNTR1 0x0E
#define | CNTR2 0x0F
#define | GPI 0x17
#define | RSTPORT 0x1F
#define | TPSR 0x04
#define | TBCR0 0x05
#define | TBCR1 0x06
#define | RSAR0 0x08
#define | RSAR1 0x09
#define | RBCR0 0x0A
#define | RBCR1 0x0B
#define | RCR 0x0C
#define | TCR 0x0D
#define | DCR 0x0E
#define | IMR 0x0F
#define | GPOC 0x17
#define | PAR0 0x01
#define | PAR1 0x02
#define | PAR2 0x03
#define | PAR3 0x04
#define | PAR4 0x05
#define | PAR5 0x06
#define | CURR 0x07
#define | CPR 0x07
#define | PS1 0x80
#define | PS0 0x40
#define | RD2 0x20
#define | RD1 0x10
#define | RD0 0x08
#define | TXP 0x04
#define | START 0x02
#define | STOP 0x01
#define | INTT 0x40
#define | MON 0x20
#define | PRO 0x10
#define | AM 0x08
#define | AB 0x04
#define | AR 0x02
#define | SEP 0x01
#define | RST 0x80
#define | RDC 0x40
#define | OVW 0x10
#define | RXE 0x08
#define | TXE 0x04
#define | PTX 0x02
#define | PRX 0x01
#define | AUTOD 0x01
#define | RST_B 0x02
#define | RST_10B 0x04
#define | RST_TXB 0x08
#define | GPO0 0x01
#define | MPSEL 0x10
#define | MPSET 0x20
#define | PPDSET 0x40
#define | MDC 0x01
#define | MDIR 0x02
#define | MDI 0x04
#define | MDO 0x08
#define | EECS 0x10
#define | EEI 0x20
#define | EEO 0x40
#define | EECLK 0x80
#define | GPI2 0x40
#define | GPI1 0x20
#define | GPI0 0x10
#define | I_SPD 0x04
#define | I_DPX 0x02
#define | I_LINK 0x01
#define | FDU 0x80
#define | PD 0x40
#define | RLO 0x20
#define | LB1 0x04
#define | LB0 0x02
#define | CRC 0x01
#define | RCR_INIT (INTT | AB)
#define | DCR_INIT 0x00
#define | TCR_INIT 0x00
#define | IMR_INIT 0x11
#define | TXSTART_INIT 0x40
#define | RXSTART_INIT 0x46
#define | RXSTOP_INIT 0x60
#define | ETHERNET_MIN_PACKET_LENGTH 0x3C
#define | PKTHEADER_STATUS 0x00
#define | PKTHEADER_NEXTPAGE 0x01
#define | PKTHEADER_PKTLENL 0x02
#define | PKTHEADER_PKTLENH 0x03
## Functions
void | ax88796SetupPorts (void)
u08 | ax88796Read (u08 address)
void | ax88796Write (u08 address, u08 data)
void | ax88796Init (void)
void | ax88796BeginPacketSend (unsigned int packetLength)
void | ax88796SendPacketData (unsigned char *localBuffer, unsigned int length)
void | ax88796EndPacketSend (void)
unsigned int | ax88796BeginPacketRetreive (void)
void | ax88796RetreivePacketData (unsigned char *localBuffer, unsigned int length)
void | ax88796EndPacketRetreive (void)
void | ax88796ProcessInterrupt (void)
void | ax88796ReceiveOverflowRecover (void)
void | ax88796WriteMii (unsigned char phyad, unsigned char regad, unsigned int mii_data)
unsigned int | ax88796ReadMii (unsigned char phyad, unsigned char regad)
void | ax88796RegDump (void)
void | ax88796PhyDump (void)